/* neopixel
 *  
 * Egyetlen WS2812 LED villogtatása a FastLed programkönyvtár  
 * használatával (felváltva piros, ill. zöld színben villan fel)
 * 
 * FastLed programkönyvtár: https://github.com/FastLED/FastLED 
 */
#include <FastLED.h>
#define NUM_LEDS 1
#define DATA_PIN 8          // D8 az adatkimenet a vezérléshez

CRGB leds[NUM_LEDS];

void setup() {
  FastLED.addLeds<NEOPIXEL, DATA_PIN>(leds, NUM_LEDS);
  pinMode(9, OUTPUT);       // Ez a néyg sor csak a "lusta"
  pinMode(10, OUTPUT);      // bekötés miatt kell
  digitalWrite(9, LOW);     // D9 a GND láb
  digitalWrite(10, HIGH);   // D10 a VCC láb
}

void loop() {
  // Turn the first led red for 1 second
  leds[0] = CRGB::Red;
  FastLED.show();
  delay(1000);

  // Set the first led back to green for 1 second
  leds[0] = CRGB::Green;
  FastLED.show();
  delay(1000);
}
